Get run status
curl --request GET \
--url https://api.arg.ai/api/agent/status/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arg.ai/api/agent/status/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arg.ai/api/agent/status/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Agent
Get run status
Poll a run. status is pending while it is in flight, then completed or error. A completed run carries result.response and result.toolOutputs.
GET
/
api
/
agent
/
status
/
{callId}
Get run status
curl --request GET \
--url https://api.arg.ai/api/agent/status/{callId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arg.ai/api/agent/status/{callId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arg.ai/api/agent/status/{callId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Chat the run belongs to.
Response
Successful response
The response is of type object.